<?php
namespace Home\Controller;
use Think\Controller;
/*
* 刷新redis数据控制器
*
*/
class FlushController extends BaseController
{

    //刷新广告数据
    public function ad()
    {   
        $adArr = M("yl_ad","",C("LEWAN_HEZI"))->order('position')->select();
        if(!empty($adArr)) {
            $redis = S(C('REDIS'));
            foreach($adArr as $key=>$val) {
                //保存广告id（用于排序分页）
                $redis->zadd('ylc_ad_id',$val['position'],$val['sysid']);
                //保存广告数据
                $redis->hset('ylc_ad_list',$val['sysid'],json_encode($val));
            }
            exit('更新成功');
        } else {
            exit('暂无数据');
        }

    }


    //刷新游戏数据
    public function game()
    {   
        $gameList = M("yl_game","",C("LEWAN_HEZI"))->select();
        if(!empty($gameList)) {
            $redis = S(C('REDIS'));
            foreach($gameList as $key=>$val) {
                $gameList[$key]['typeList'] = M("yl_game_class","",C("LEWAN_HEZI"))->join('left join yl_game_class_list on yl_game_class.sysid=yl_game_class_list.r_class')->where(array('yl_game_class_list.r_game'=>$val['sysid']))->field('yl_game_class_list.r_class,yl_game_class_list.r_game,yl_game_class.name')->select();
                $gameList[$key]['labelList'] = M("yl_game_label","",C("LEWAN_HEZI"))->join('left join yl_game_label_list on yl_game_label.sysid=yl_game_label_list.r_label')->where(array('yl_game_label_list.r_game'=>$val['sysid']))->field('yl_game_label_list.r_label,yl_game_label_list.r_game,yl_game_label.name')->select();
                //保存游戏id（用于排序分页）
                $redis->zadd('ylc_game_id',$val['sort'],$val['sysid']);
                //保存游戏数据
                $redis->hset('ylc_game_list',$val['sysid'],json_encode($gameList[$key]));
            }
            exit('更新成功');
        } else {
            exit('暂无数据');
        }

    }


    //刷新商品数据
    public function goods()
    {   
        $goodsList = M("yl_goods","",C("LEWAN_HEZI"))->select();
        if(!empty($goodsList)) {
            $redis = S(C('REDIS'));
            foreach($goodsList as $key=>$val) {
                //保存游戏id（用于排序分页）
                $redis->zadd('ylc_goods_id',$val['sort'],$val['sysid']);
                //保存游戏数据
                $redis->hset('ylc_goods_list',$val['sysid'],json_encode($val));
            }
            exit('更新成功');
        } else {
            exit('暂无数据');
        }

    }

}

?>